edu.ucsb.nceas.metacat.util

## Class SessionData

- java.lang.Object
- - edu.ucsb.nceas.metacat.util.SessionData

-     public class SessionData
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionData(java.lang.String id, java.lang.String userName, java.lang.String[] groupNames, java.lang.String password, java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Calendar` | `getCreationTime()`
    `DocumentCart` | `getDocumentCart()`
    `java.lang.String[]` | `getGroupNames()`
    `java.lang.String` | `getId()`
    `java.util.Calendar` | `getLastAccessedTime()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getPassword()`
    `java.lang.String` | `getUserName()`
    `void` | `setDocumentCart(DocumentCart documentCart)`
    `void` | `setGroupNames(java.lang.String[] groupNames)`
    `void` | `setLastAccessedTime()`
    `void` | `setName(java.lang.String name)`
    `void` | `setPassword(java.lang.String password)`
    `void` | `setUserName(java.lang.String userName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionData

          public SessionData(java.lang.String id,
                             java.lang.String userName,
                             java.lang.String[] groupNames,
                             java.lang.String password,
                             java.lang.String name)

      Parameters:
        `userName` -
        `groupNames` -
        `password` -

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### getUserName

          public java.lang.String getUserName()

    - #### setUserName

          public void setUserName(java.lang.String userName)

    - #### getGroupNames

          public java.lang.String[] getGroupNames()

    - #### setGroupNames

          public void setGroupNames(java.lang.String[] groupNames)

    - #### getPassword

          public java.lang.String getPassword()

    - #### setPassword

          public void setPassword(java.lang.String password)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getLastAccessedTime

          public java.util.Calendar getLastAccessedTime()

    - #### setLastAccessedTime

          public void setLastAccessedTime()

    - #### getCreationTime

          public java.util.Calendar getCreationTime()

    - #### getDocumentCart

          public DocumentCart getDocumentCart()

    - #### setDocumentCart

          public void setDocumentCart(DocumentCart documentCart)

Copyright © 2023 Regents of the University of California. All Rights Reserved.